#ifndef _MAINWINDOW_H
#define _MAINWINDOW_H

#include "InventorySuppliers.h"
#include "Setup.h"

#include <QMainWindow>
#include <QStandardItemModel>
#include <QMenu>
#include <QToolButton>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_actionExit_triggered();
    void on_actionSuppliers_triggered();
    void on_actionSetup_triggered();
    void on_actionAbout_triggered();

public slots:
    void fromInventorySuppliers();
    void fromSetup();

private:
    Ui::MainWindow *ui;

    // Keep pointers to new windows.
    InventorySuppliers *InventorySuppliersWindow;
    Setup *SetupWindow;
};

#endif
